#pragma once

#ifndef _SECURE_ATL
#define _SECURE_ATL 1 //Use the Secure C Runtime in ATL
#endif

#ifndef VC_EXTRALEAN
#define VC_EXTRALEAN
#endif

//#define SQLITE3WRAPPERS_WIN32_INCLUSION //Uncomment this to link against the Windows 10 DLL version of SQLite
//#define SQLITE3WRAPPERS_LOCAL_INCLUSION //Uncomment this to link against the local copy of SQLite.h
//#define SQLITE3WRAPPERS_NO_WCHAR_T_SUPPORT //Uncomment this to exercise the no wchar_t support in SQLiteWrappers

#ifdef SQLITE3WRAPPERS_WIN32_INCLUSION
#ifndef WINVER
#define WINVER 0x0A00
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0A00
#endif

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0A00
#endif
#else
#ifndef WINVER
#define WINVER 0x0500
#endif

#ifndef _WIN32_WINNT
#define _WIN32_WINNT 0x0500
#endif

#ifndef _WIN32_WINDOWS
#define _WIN32_WINDOWS 0x0500
#endif
#endif //#ifdef SQLITE3WRAPPERS_WIN32_INCLUSION

#ifndef _WIN32_IE
#define _WIN32_IE 0x0500
#endif

#include <windows.h>
#include <tchar.h>
#include <cstdio>
#include <iterator>
#include <vector>
